import { inject, Ref } from 'vue';
import { IRouteConfig } from '../typings/v-form-component';
import { MES_ROUTE } from '/@/api/tigerapi/model/router';

/**
 * 获取formDesign状态
 */
export function useRouteDesignState() {
  const routeConfig = inject('routeConfig') as Ref<IRouteConfig>;
  const mesRoute = inject('mesRoute') as Ref<MES_ROUTE>;
  return { routeConfig, mesRoute };
}

export function useFormModelState() {
  const formModel = inject('formModel') as Ref<{}>;
  const setFormModel = inject('setFormModelMethod') as (key: String, value: any) => void;
  return { formModel, setFormModel };
}
